var errorret2;

function library()
{
	var link = "/avatarlibrary";
	win = window.open(link, 'avatars', 'toolbar=no,location=no,status=no,menubar=no,resizable=yes, directories=no, scrollbars=no, width=365, height=375, top=10, left=10');
	win.window.focus();
}

function testlen(elem, errordiv, start, end)
{
	var div      = document.getElementById(errordiv);

	var len = 0;

	try
	{
		len = elem.innerHTML.length;
	}
	catch(e)
	{
	}

	if (!len)
	{
		try
		{
			len = elem.value.length;
		}
		catch(e)
		{
			len = 0;
		}
	}

	if (len < start | len > end)
	{	
		div.style.color      = 'red';
		div.style.fontweight = 'bold';
		errorret2        = true;
		div.style.textDecorationUnderline = true;
	}
	else
	{
		div.style.color = 'black';
	}
}

function onSubmit()
{
	errorret2    = false;

	var mess = document.getElementById('usermessageedit');

	testlen(mess, 'remarkid', 5, 10000);

	if (!errorret2)
	{
		var htm = mess.innerHTML;

		if (htm.length > 0)
		{
			document.discuss.remark.value = mess.innerHTML;
		}
		else
		{
			document.discuss.remark.value = mess.value;
		}

		try
		{
			var elem = document.getElementById('dialogbutton');
			elem.disabled = true;
		}
		catch(e)
		{
		}

		discuss.submit();
	}
}


function storeCaret(textEl) 
{ 
	if (textEl.createTextRange)  
	{
		textEl.caretPos = document.selection.createRange().duplicate(); 
	}
} 

function insertAtCaret(textEl, text, text2) 
{ 
	if (textEl.createTextRange && textEl.caretPos) 
	{ 
		var Select = document.selection.createRange();
		if (Select.text != "")
		{
			Select.text = text + Select.text + text2;
		}
		else
		{
			var caretPos  = textEl.caretPos; 
			caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == ' ' ? text + text2 + ' ' : text + text2; 
		}
	} 
	else 
	{
		textEl.value  = text + text2; 
	}
} 

function list(textEl, type) 
{ 
	if (textEl.createTextRange && textEl.caretPos) 
	{ 
		var Select = document.selection.createRange();

		if (Select.text != "")
		{
			value = "";
			var txt = Select.text;
			var i;
			var start = 0;
			var len   = txt.length;

			if (type == 2)
			{
				value = "[ol]" + String.fromCharCode(13);
			}
			else
			{
				value = "[ul]" + String.fromCharCode(13);
			}

			var li = "[li]";

			for (i = 0; i < len + 1; i++)
			{
				if (txt.charCodeAt(i) == 13)
				{
					value += li + txt.substring(start, i) + String.fromCharCode(13);
					start = i + 2;
				}
				else if (i == len)
				{
					value += li + txt.substring(start, i + 1) + String.fromCharCode(13);
					start = i + 2;
				}
			}
			if (type == 2)
			{
				value += "[/ol]";
			}
			else
			{
				value += "[/ul]";
			}

			Select.text = value;
		}
	}
} 

function format(comm, foc, opera)
{
	var mess = document.getElementById('usermessageedit');
		
	if (mess != null)
	{
		if (!opera)
		{
			mess.focus();
			if (!foc)
			{
				document.execCommand(comm, false, null);
			}
			else
			{
				var tr = document.selection.createRange();
				tr.execCommand(comm, false, null);
			}
		}
		else
		{
			if (comm == 'Bold')
			{
				insertAtCaret(mess, '[b]', '[/b]');
			}
			else if (comm == 'Italic')
			{
				insertAtCaret(mess, '[i]', '[/i]');
			}
			else if (comm == 'Underline')
			{
				insertAtCaret(mess, '[u]', '[/u]');
			}
			else if (comm == 'JustifyLeft')
			{
				insertAtCaret(mess, '[left]', '[/left]');
			}
			else if (comm == 'JustifyCenter')
			{
				insertAtCaret(mess, '[center]', '[/center]');
			}
			else if (comm == 'JustifyRight')
			{
				insertAtCaret(mess, '[right]', '[/right]');
			}
			else if (comm == 'JustifyFull')
			{
				insertAtCaret(mess, '[align]', '[/align]');
			}
			else if (comm == 'Cut' || comm == 'Copy' || comm == 'Paste' || comm == 'Undo' || comm == 'Redo')
			{
				alert(' ,    Opera    ');
			}
			else if (comm == 'Superscript')
			{
				insertAtCaret(mess, '[sup]', '[/sup]');
			}
			else if (comm == 'Subscript')
			{
				insertAtCaret(mess, '[sub]', '[/sub]');
			}
			else if (comm == 'InsertUnorderedList')
			{
				list(mess, 1);
			}
			else if (comm == 'InsertOrderedList')
			{
				list(mess, 2);
			}
		}
	}
}

function setcolor(color, foc)
{
	var mess = document.getElementById('usermessageedit');
		
	if (mess != null)
	{
		mess.focus();
		if (!foc)
		{
			document.execCommand('forecolor', false, color);
		}
		else
		{
			var tr = document.selection.createRange();
			tr.execCommand('forecolor', false, color);
		}
	}
}

function delmessag(code)
{
	var div = document.getElementById('message' + code);
	div.style.display    = 'none';
}

function setlink()
{
	var mess = document.getElementById('usermessageedit');
		
	if (mess != null)
	{
		var url = prompt(" ", "http://");
	
		if (url == "" || url == "http://")
		{
			return;
		}

		var pod = prompt(" ", "");
		
		if (pod == "")
		{
			pod = url;
		}

		mess.focus();

		url = "[url=" + url + "]" + pod + "[/url]";

		//document.execCommand('InsertInputText', false, url);

		var tr = document.selection.createRange();
		tr.text = url;
	}
}

function insertmess(text)
{			
	var mess = document.getElementById('usermessageedit');

	if (mess != null)
	{
		mess.focus();

		var tr = document.selection.createRange();
		tr.text = text;
	}
}

function edit()
{
	
}

function showspecial(parent)
{
	var div = document.getElementById('specialsymbols');

	if (div != null && parent != null)
	{
		var top  = 0;
		var left = 0;
		var elCurrent = parent;

		while (elCurrent.offsetParent != null) 
		{
			top      += elCurrent.offsetTop;
                	left     += elCurrent.offsetLeft;
	                elCurrent = elCurrent.offsetParent;
		}
		div.style.visibility = 'visible';
        	div.style.left       = left;
		div.style.top        = top + 20;
	}
}

function special(symbol)
{
	closealldopmenu();
	insertmess(symbol);
}

function ds(symbol)
{
	document.write("<td class=special onclick=\"javascript:special('&" + symbol + ";')\">&" + symbol + ";</td>");
}
